{ pkgs, ... }: {

  networking.firewall = {
    allowedTCPPorts = [ 7100 7000 7001 ];
    allowedUDPPorts = [ 6000 6001 7011 ];
  };

  services.avahi = {
    # nssmdns = true;
    enable = true;
    publish = {
      enable = true;
      userServices = true;
      domain = true;
    };
  };

  home-manager.users.coded.home.packages = [
    pkgs.uxplay
  ];
}
